var _fish_nums = 5;
var MainLayer = cc.Layer.extend({
	ctor: function() {
		this._super();
		this.initData();
		this.addBg();
		this.addFishPanel();
		this.startAddFishes();
		this.addMenus();
		this.addBackKeyListerner();
		return true;
	},
	initData: function() {
		this.fishPanel = null;
	},
	addBg: function() {
		var sp_bg = new cc.Sprite(res.bg);
		sp_bg.x = cc.winSize.width / 2;
		sp_bg.y = cc.winSize.height / 2;
		var scalex = cc.winSize.width / sp_bg.width;
		var scaley = cc.winSize.height / sp_bg.height;
		sp_bg.scale = Math.max(scalex, scaley);
		this.addChild(sp_bg);
	},
	addMenus: function() {
		// var mi_apply = new cc.MenuItemLabel(new cc.LabelTTF("Apply", ttf.def, 40), this.onApplyClicked, this);
		var mi_apply = new cc.MenuItemImage(res.btn_01, res.btn_01_s, this.onApplyClicked, this);
		// mi_apply.anchorX = 0;
		mi_apply.anchorY = 0;
		mi_apply.x = cc.winSize.width * 0.25;
		mi_apply.y = cc.winSize.height * 0.02;
		var lb_apply = new cc.LabelTTF("Apply", ttf.def, 40);
		lb_apply.x = mi_apply.width / 2;
		lb_apply.y = mi_apply.height / 2;
		mi_apply.addChild(lb_apply);

		// var mi_ad = new cc.MenuItemLabel(new cc.LabelTTF("Lucky Or Not", ttf.def, 40), this.onAdClicked, this);
		var mi_ad = new cc.MenuItemImage(res.btn_01, res.btn_01_s, this.onAdClicked, this);
		// mi_ad.anchorX = 1;
		mi_ad.anchorY = 0;
		mi_ad.x = cc.winSize.width * 0.75;
		mi_ad.y = cc.winSize.height * 0.02;
		var lb_ad = new cc.LabelTTF("Lucky Or Not", ttf.def, 40);
		lb_ad.x = mi_ad.width / 2;
		lb_ad.y = mi_ad.height / 2;
		mi_ad.addChild(lb_ad);

		// var mi_share = new cc.MenuItemLabel(new cc.LabelTTF("Share", ttf.def, 40), this.onShareClicked, this);
		var mi_share = new cc.MenuItemImage(res.btn_01, res.btn_01_s, this.onShareClicked, this);
		// mi_share.anchorX = 1;
		mi_share.anchorY = 1;
		mi_share.x = cc.winSize.width * 0.75;
		mi_share.y = cc.winSize.height * 0.9;
		var lb_share = new cc.LabelTTF("Share", ttf.def, 40);
		lb_share.x = mi_share.width / 2;
		lb_share.y = mi_share.height / 2;
		mi_share.addChild(lb_share);

		// var mi_more = new cc.MenuItemLabel(new cc.LabelTTF("More Fishes", ttf.def, 40), this.onMoreClicked, this);
		var mi_more = new cc.MenuItemImage(res.btn_01, res.btn_01_s, this.onMoreClicked, this);
		// mi_more.anchorX = 0;
		mi_more.anchorY = 1;
		mi_more.x = cc.winSize.width * 0.25;
		mi_more.y = cc.winSize.height * 0.9;
		var lb_more = new cc.LabelTTF("More Fishes", ttf.def, 40);
		lb_more.x = mi_more.width / 2;
		lb_more.y = mi_more.height / 2;
		mi_more.addChild(lb_more);

		var menu = new cc.Menu(mi_apply, mi_ad, mi_share, mi_more);
		menu.x = 0;
		menu.y = 0;
		this.addChild(menu);
		
		// var btn_apply = this.buttonForTitle("Apply", this.onApplyClicked);
		// // btn_apply.x = cc.winSize.width * 0.25;
		// // btn_apply.y = cc.winSize.height * 0.02;
		// btn_apply.x = cc.winSize.width / 2;
		// btn_apply.y = cc.winSize.height / 2;
		// this.addChild(btn_apply);
	},
	// buttonForTitle: function(title, onClick) {
	// 	var size = cc.size(344, 96);
	// 	var bgSprite = new cc.Scale9Sprite(res.btn_01);
	// 	// bgSprite.setPreferredSize(cc.size(344, 96));
	// 	var bgSpriteS = new cc.Scale9Sprite(res.btn_01_s);
	// 	bgSpriteS.setPreferredSize(cc.size(344, 96));
	// 	var title = new cc.LabelTTF(title, ttf.def, 40);
	// 	var btn = new cc.ControlButton(title, bgSprite);

	// 	btn.setBackgroundSpriteForState(bgSpriteS, cc.CONTROL_STATE_HIGHLIGHTED);
	// 	btn.addTargetWithActionForControlEvents(this, onClick, cc.CONTROL_EVENT_TOUCH_UP_INSIDE);
	// 	return btn;
	// },
	addBackKeyListerner: function() {
		this.keyListener = cc.EventListener.create({
			event: cc.EventListener.KEYBOARD,
			onKeyReleased: function(keyCode, event) {
				if (keyCode == 6) {
					zg.AndroidUtils.onExit();
				};
			}
		});
		cc.eventManager.addListener(this.keyListener, this);
	},
	getNativeKeyName: function(keyCode) {
		var allCode = Object.getOwnPropertyNames(cc.KEY);
		var keyName = "";
		for (var x in allCode) {
			if (cc.KEY[allCode[x]] == keyCode) {
				keyName = allCode[x];
				break;
			}
		}
		return keyName;
	},
	addFishPanel: function() {
		var fp = new FishPanel();
		fp.initData(1);
		this.addChild(fp);
		this.fishPanel = fp;
	},
	addOneFish: function() {
		var imgArray = res_not_preload.fishes;
		var fish = new Fish();
		fish.initData(imgArray, this);
		fish.addToFishPanel(this.fishPanel);
	},
	startAddFishes: function() {
		// this.addOneFish();
		var that = this;
		for (var i = 0; i < _fish_nums - 1; i++) {
			this.scheduleOnce(function() {
				that.addOneFish();
			}, i * (Math.random() + 3));
		};
	},
	onOneFishRemoved: function() {
		this.addOneFish();
	},
	onApplyClicked: function() {
		zg.AndroidUtils.applyThemeOfPackage("");
	},
	onAdClicked: function() {
		zg.AndroidUtils.showIntersitial();
	},
	onShareClicked: function() {
		zg.AndroidUtils.shareThisApp();
	},
	onMoreClicked: function() {
		cc.director.pushScene(new MoreScene());
	},
	onExit: function() {
		this._super();
		if (this.keyListener != null) {
			cc.eventManager.removeListener(this.keyListener);
		};
		this.keyListener = null;
	},
});

var MainScene = cc.Scene.extend({
	onEnter: function() {
		this._super();
		var layer = new MainLayer();
		this.addChild(layer);
	}
});