var MoreLayer = cc.Layer.extend({
	ctor: function() {
		this._super();
		this.initData();
		this.addBg();
		this.createBackMenu();
		this.createTableview();
		this.addBackKeyListerner();
		return true;
	},
	initData: function() {
		this.tableView = null;
		var cellDataStr = "[{\"p\":\"com.auu.fishres\",\"index\":\"1\"},{\"p\":\"a.2\",\"index\":\"2\"},{\"p\":\"a.3\",\"index\":\"3\"},{\"p\":\"a.4\",\"index\":\"4\"},{\"p\":\"a.5\",\"index\":\"5\"},{\"p\":\"a.6\",\"index\":\"6\"},{\"p\":\"a.7\",\"index\":\"7\"},{\"p\":\"a.8\",\"index\":\"8\"},{\"p\":\"a.9\",\"index\":\"9\"},{\"p\":\"a.10\",\"index\":\"10\"}]";
		this.cellData = JSON.parse(cellDataStr);
	},
	addBg: function() {
		var sp_bg = new cc.Sprite(res.bg);
		sp_bg.x = cc.winSize.width / 2;
		sp_bg.y = cc.winSize.height / 2;
		var scalex = cc.winSize.width / sp_bg.width;
		var scaley = cc.winSize.height / sp_bg.height;
		sp_bg.scale = Math.max(scalex, scaley);
		this.addChild(sp_bg);
	},
	createBackMenu: function() {
		var mi_back = new cc.MenuItemLabel(new cc.LabelTTF("Back", ttf.def, 40), this.onBackClicked, this);
		mi_back.anchorX = 0;
		mi_back.anchorY = 1;
		mi_back.x = cc.winSize.width * 0.05;
		mi_back.y = cc.winSize.height * 0.9;

		var menu = new cc.Menu(mi_back);
		menu.x = 0;
		menu.y = 0;
		this.addChild(menu);
	},
	addBackKeyListerner: function() {
		var that = this;
		cc.eventManager.addListener({
			event: cc.EventListener.KEYBOARD,
			onKeyReleased: function(keyCode, event) {
				if (keyCode == 6) {
					that.onBackClicked();
				};
			}
		}, this);
	},
	createTableview: function() {
		var tableView = new cc.TableView(this, cc.size(cc.winSize.width * 0.9, cc.winSize.height * 0.78));
		tableView.setDirection(cc.SCROLLVIEW_DIRECTION_VERTICAL);
		tableView.x = cc.winSize.width * 0.05;
		tableView.y = cc.winSize.height * 0.05;
		tableView.setBounceable(true);
		tableView.setDelegate(this);
		this.addChild(tableView);
		tableView.reloadData();
		this.tableView = tableView;
	},
	tableCellTouched: function(table, cell) {
		var data = cell.data;
		zg.AndroidUtils.goMarketWithPackage(data.p);
	},
	tableCellHighlight: function(table, cell) {
		// cell.highlight();
	},
	tableCellUnhighlight: function(table, cell) {
		// cell.unHightlight();
	},
	tableCellSizeForIndex: function(table, idx) {
		var sp = new cc.Sprite("res/p1.png");
		var width = cc.winSize.width * 0.9;
		var scale = width / sp.width;
		var height = scale * sp.height;
		return cc.size(width, height + 10);
	},
	tableCellAtIndex: function(table, idx) {
		var cell = table.dequeueCell();
		if (!cell) {
			cell = new TableCell();
			cell.initWithSize(this.tableCellSizeForIndex());
		}
		cell.updateWithData(this.cellData[idx]);
		return cell;
	},
	numberOfCellsInTableView: function(table) {
		return this.cellData.length;
	},
	onBackClicked: function() {
		cc.director.popScene();
	},
});

var MoreScene = cc.Scene.extend({
	onEnter: function() {
		this._super();
		var layer = new MoreLayer();
		this.addChild(layer);
	}
});